Package weka.gui.visualize

# Interface VisualizePanelListener

All Known Implementing Classes:
  `UserClassifier`

public interface VisualizePanelListener
Interface implemented by a class that is interested in receiving submited shapes from a visualize panel.

Version:
  $Revision: 1.5 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`userDataEvent(VisualizePanelEvent e)`
This method receives an object containing the shapes, instances inside and outside these shapes and the attributes these shapes were created in.

## Method Details

### userDataEvent

void userDataEvent(VisualizePanelEvent e)
This method receives an object containing the shapes, instances inside and outside these shapes and the attributes these shapes were created in.

Parameters:
  `e` - The Event containing the data.